View Issue Details

IDProjectCategoryView StatusLast Update
0002191SymmetricDSBugpublic2015-02-17 16:44
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.6 
Target Version3.7.7Fixed in Version3.7.7 
Summary0002191: Unrouted batches end up with a status of NE and never get purged
DescriptionIf routing is in progress and unrouted batches are being created. If the server is restarted all batches are set to a status of NE. Batches that had a node_id of -1 will never be sent anywhere and just sit there forever until someone updates their status to OK.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f6c89639

2015-02-12 11:27:37

chenson

Details Diff
0002191: Unrouted batches end up with a status of NE and never get purged
0002191
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2015-02-12 10:40 chenson New Issue
2015-02-12 10:40 chenson Status new => assigned
2015-02-12 10:40 chenson Assigned To => chenson
2015-02-12 11:30 chenson Status assigned => resolved
2015-02-12 11:30 chenson Fixed in Version => 3.7.7
2015-02-12 11:30 chenson Resolution open => fixed
2015-02-12 12:00 chenson Changeset attached => SymmetricDS trunk r9359
2015-02-17 16:44 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f6c89639